field_component_const< T, M >

## Public Types

typedef field_basic< T, M >::size_type | size_type
typedef T | value_type
typedef M | memory_type
typedef scalar_traits< T >::type | scalar_type
typedef float_traits< T >::type | float_type
typedef field_basic< T, M >::const_iterator | const_iterator

## Public Member Functions

| field_component_const ()
| field_component_const (const field_basic< T, M > &uh, size_type i_comp)
| field_component_const (const field_component< T, M > &uh_comp)
const space_constitution< T, M > & | get_constitution () const
std::string | name () const
const distributor & | ownership () const
const communicator & | comm () const
geo_basic< T, M > | get_geo () const
space_basic< T, M > | get_space () const
bool | have_homogeneous_space (space_basic< T, M > &Xh) const
size_type | ndof () const
size_type | dis_ndof () const
const T & | dof (size_type idof) const
const_iterator | begin_dof () const
const_iterator | end_dof () const
field_component_const< T, M > & | proxy_assign (const field_component_const< T, M > &uh_comp)

## Protected Attributes

space_constitution< T, M > | _constit
const_iterator | _start
const_iterator | _last

## Static Protected Attributes

static const size_type | _unset = std::numeric_limits<size_type>::max()

## Detailed Description

### template<class T, class M>
class rheolef::field_component_const< T, M >

Definition at line 143 of file field_component.h.

## Member Typedef Documentation

## size_type

typedef field_basic<T,M>::size_type size_type

Definition at line 148 of file field_component.h.

## value_type

typedef T value_type

Definition at line 149 of file field_component.h.

## memory_type

typedef M memory_type

Definition at line 150 of file field_component.h.

## scalar_type

typedef scalar_traits<T>::type scalar_type

Definition at line 151 of file field_component.h.

## float_type

typedef float_traits<T>::type float_type

Definition at line 152 of file field_component.h.

## const_iterator

typedef field_basic<T,M>::const_iterator const_iterator

Definition at line 153 of file field_component.h.

## Constructor & Destructor Documentation

## field_component_const() [1/3]

field_component_const

Definition at line 197 of file field_component.h.

## field_component_const() [2/3]

field_component_const | ( | const field_basic< T, M > & | uh,
|  | size_type | i_comp
| ) |  |

Definition at line 245 of file field_component.h.

## field_component_const() [3/3]

field_component_const | ( | const field_component< T, M > & | uh_comp | ) |

Definition at line 262 of file field_component.h.

## Member Function Documentation

## get_constitution()

const space_constitution<T,M>& get_constitution | ( |  | ) | const

Definition at line 160 of file field_component.h.

## name()

std::string name | ( |  | ) | const

Definition at line 161 of file field_component.h.

## ownership()

const distributor& ownership | ( |  | ) | const

Definition at line 162 of file field_component.h.

## comm()

const communicator& comm | ( |  | ) | const

Definition at line 163 of file field_component.h.

## get_geo()

geo_basic<T,M> get_geo | ( |  | ) | const

Definition at line 164 of file field_component.h.

## get_space()

space_basic<T,M> get_space | ( |  | ) | const

Definition at line 165 of file field_component.h.

## have_homogeneous_space()

bool have_homogeneous_space | ( | space_basic< T, M > & | Xh | ) | const

Definition at line 166 of file field_component.h.

## ndof()

size_type ndof | ( |  | ) | const

Definition at line 167 of file field_component.h.

## dis_ndof()

size_type dis_ndof | ( |  | ) | const

Definition at line 168 of file field_component.h.

## dof()

const T& dof | ( | size_type | idof | ) | const

Definition at line 169 of file field_component.h.

## begin_dof()

const_iterator begin_dof | ( |  | ) | const

Definition at line 170 of file field_component.h.

## end_dof()

const_iterator end_dof | ( |  | ) | const

Definition at line 171 of file field_component.h.

## proxy_assign()

field_component_const< T, M > & proxy_assign | ( | const field_component_const< T, M > & | uh_comp | ) |

Definition at line 280 of file field_component.h.

## Member Data Documentation

## _unset

const size_type _unset = std::numeric_limits<size_type>::max()

static protected

Definition at line 176 of file field_component.h.

## _constit

space_constitution<T,M> _constit

protected

Definition at line 178 of file field_component.h.

## _start

const_iterator _start

protected

Definition at line 179 of file field_component.h.

## _last

const_iterator _last

protected

Definition at line 180 of file field_component.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_component.h